RosterGet an appointment

Get an appointment

Needs: Roster, Read

Returns one appointment.

curl -X GET "https://app.imploy.com.au/api/integrations/v1/appointments/123" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "data": {
    "id": 55,
    "appointment_title": "Morning support",
    "client_id": 12,
    "employee_id": 31,
    "start": "2026-03-02 09:00:00",
    "end": "2026-03-02 13:00:00",
    "appointment_address": "1 Example St, Perth WA 6000",
    "is_draft": 1,
    "appointment_cancelled": 0,
    "is_deleted": 0,
    "created_at": "2026-02-20T01:00:00.000000Z",
    "updated_at": "2026-02-20T01:00:00.000000Z"
  }
}
GET
/appointments/{id}
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
path
idinteger
Required

The appointment id.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

Path Parameters

idinteger
Required

The appointment id.

Responses

OK